﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using TestAppRuna.API;

namespace TestAppRuna.Services
{
    public interface ICartService
    {
        Task<List<CartCustomerListItem>> Get();
        Task<List<CartListItem>> GetFromCustomer(Guid customerId);
        Task<bool> CreateOrUpdateCart(CartCreateUpdateModel model);
        Task<bool> DeleteCart(CartDeleteModel model);
        Task<bool> HasCustomerID(Guid customerId);
        Task<bool> HasProductID(Guid productId);

    }
}
